%global         snapdate   20120518
%global         snaphash   5220
%global         snapver    %{snapdate}svn%{snaphash}

Name:           asterisk-gui
Version:        2.0
Release:        10.%{snapver}%{?dist}
Summary:        Graphical interface for Asterisk configuration
Summary(fr):    Interface graphique pour la configuration d'Asterisk

License:        GPLv2
URL:            http://www.asterisk.org/
# Upstream doesn't publish release tarballs, so we make one:
#          $ svn checkout -r 5220 http://svn.asterisk.org/svn/asterisk-gui/branches/2.0/ asterisk-gui-2.0-20120518svn5220
#          $ tar Jcf asterisk-gui-2.0-20120518svn5220.tar.xz asterisk-gui-2.0-20120518svn5220/
Source0:        %{name}-%{version}-%{snapver}.tar.xz

BuildArch:      noarch
Requires:       asterisk


%description
Asterisk GUI is a framework for the creation of graphical interfaces
for configuring Asterisk. Some sample graphical interfaces for specific
vertical markets are included for reference or for actual use and
extension.

%description -l fr
Asterisk GUI est un cadre pour la création d'interfaces graphiques
pour la configuration d'Asterisk. Quelques échantillons d'interfaces
graphiques pour les menus verticaux sont inclus en référencement ou
pour une utilisation actuelle et d'extension.


%prep
%setup -q -n %{name}-%{version}-%{snapver}


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc README CREDITS LICENSE COPYING requests.txt security.txt
%{_sharedstatedir}/asterisk/gui_backups/
%{_sharedstatedir}/asterisk/scripts/
%{_sharedstatedir}/asterisk/static-http/


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-10.20120518svn5220
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-9.20120518svn5220
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-8.20120518svn5220
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 16 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 2.0-7.20120518svn5220
- Add French translation in spec file

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6.20120518svn5220
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 2.0-5.20120518svn5220
- new upstream snapshot
- remove sed statement in %%prep section
- update comments about Source0 in spec file

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-4.20111230svn5218
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 30 2011 Matthieu Saulnier <fantom@fedoraproject.org> - 2.0-3.20111230svn5218
- fix invalid-fsf-adress in COPYING file by sed

* Mon Dec 12 2011 Matthieu Saulnier <fantom@fedoraproject.org> - 2.0-2.20111212svn5218
- new upstream snapshot
- fix file owner issue in file section
- add name option in setup
- set buildarch as noarch

* Thu Dec 08 2011 Matthieu Saulnier <fantom@fedoraproject.org> - 2.0-1.20111208svn5218
- Initial Release
